RegExpTwo (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.util

## Class RegExpTwo

- java.lang.Object
- - hlt.language.util.RegExp
  - - hlt.language.util.RegExpTwo

- Direct Known Subclasses:
    RegExpChoice, RegExpConcat

      public abstract class RegExpTwo
      extends RegExp

  This abstract class is a partial implementation of the abstract class `RegExp` to represent a dyadic regular expression operator.

  The concrete subclasses of this class are:

  *

  - `RegExpChoice`

  - `RegExpConcat`
  Version:
    Last modified on Tue Jun 19 17:38:12 2012 by hak
  Author:
    Hassan Aït-Kaci
  Copyright:
    © Hassan Aït-Kaci

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `NN`
    `static byte` | `NO`
    `static byte` | `NP`
    `static byte` | `NR`
    `static byte` | `NS`
    `static byte` | `NX`
    `static byte` | `ON`
    `static byte` | `OO`
    `static byte` | `OP`
    `static byte` | `OR`
    `static byte` | `OS`
    `static byte` | `OX`
    `static byte` | `PN`
    `static byte` | `PO`
    `static byte` | `PP`
    `static byte` | `PR`
    `static byte` | `PS`
    `static byte` | `PX`
    `static byte` | `RN`
    `static byte` | `RO`
    `static byte` | `RP`
    `static byte` | `RR`
    `static byte` | `RS`
    `static byte` | `RX`
    `static byte` | `SN`
    `static byte` | `SO`
    `static byte` | `SP`
    `static byte` | `SR`
    `static byte` | `SS`
    `static byte` | `SX`
    `static byte` | `XN`
    `static byte` | `XO`
    `static byte` | `XP`
    `static byte` | `XR`
    `static byte` | `XS`
    `static byte` | `XX`

    - ### Fields inherited from class hlt.language.util.RegExp

      `BINARY_EXP, CHOICE_EXP, CONCAT_EXP, EMPTY, EMPTY_EXP, OPTION_EXP, PLUS_EXP, POWER_EXP, RANGE_EXP, STAR_EXP, SYMBOL_EXP, UNARY_EXP`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object other)` Returns `true` iff the specified object is a `RegExpTwo` of same type and components as this one's.
    `RegExp` | `getLeft()`
    `RegExp` | `getRight()`
    `RegExp` | `normalLeft()`
    `RegExp` | `normalRight()`

    - ### Methods inherited from class hlt.language.util.RegExp

      `cleanup, deepCopy, isBinary, isChoice, isConcat, isEmpty, isLexLess, isOption, isPlus, isPower, isRange, isStar, isSymbol, isUnary, normalize, normEquals, noTrace, shallowCopy, tag, toggleTrace, toNormalString, trace, tracing, type`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XX

          public static final byte XX

      #### Matching Pair Codes

           TYPE  MNEMONIC  MEANING
           --------------------------------
           X         X     any RegExp
           X?        O     RegExpOption
           X+        P     RegExpPlus
           X\*        S     RegExpStar
           X^n       N     RegExpPower
           X_m^n     R     RegExpPowerRange

      See Also:
        Constant Field Values

    - #### XO

          public static final byte XO

      See Also:
        Constant Field Values

    - #### XP

          public static final byte XP

      See Also:
        Constant Field Values

    - #### XS

          public static final byte XS

      See Also:
        Constant Field Values

    - #### XN

          public static final byte XN

      See Also:
        Constant Field Values

    - #### XR

          public static final byte XR

      See Also:
        Constant Field Values

    - #### OX

          public static final byte OX

      See Also:
        Constant Field Values

    - #### OO

          public static final byte OO

      See Also:
        Constant Field Values

    - #### OP

          public static final byte OP

      See Also:
        Constant Field Values

    - #### OS

          public static final byte OS

      See Also:
        Constant Field Values

    - #### ON

          public static final byte ON

      See Also:
        Constant Field Values

    - #### OR

          public static final byte OR

      See Also:
        Constant Field Values

    - #### PX

          public static final byte PX

      See Also:
        Constant Field Values

    - #### PO

          public static final byte PO

      See Also:
        Constant Field Values

    - #### PP

          public static final byte PP

      See Also:
        Constant Field Values

    - #### PS

          public static final byte PS

      See Also:
        Constant Field Values

    - #### PN

          public static final byte PN

      See Also:
        Constant Field Values

    - #### PR

          public static final byte PR

      See Also:
        Constant Field Values

    - #### SX

          public static final byte SX

      See Also:
        Constant Field Values

    - #### SO

          public static final byte SO

      See Also:
        Constant Field Values

    - #### SP

          public static final byte SP

      See Also:
        Constant Field Values

    - #### SS

          public static final byte SS

      See Also:
        Constant Field Values

    - #### SN

          public static final byte SN

      See Also:
        Constant Field Values

    - #### SR

          public static final byte SR

      See Also:
        Constant Field Values

    - #### NX

          public static final byte NX

      See Also:
        Constant Field Values

    - #### NO

          public static final byte NO

      See Also:
        Constant Field Values

    - #### NP

          public static final byte NP

      See Also:
        Constant Field Values

    - #### NS

          public static final byte NS

      See Also:
        Constant Field Values

    - #### NN

          public static final byte NN

      See Also:
        Constant Field Values

    - #### NR

          public static final byte NR

      See Also:
        Constant Field Values

    - #### RX

          public static final byte RX

      See Also:
        Constant Field Values

    - #### RO

          public static final byte RO

      See Also:
        Constant Field Values

    - #### RP

          public static final byte RP

      See Also:
        Constant Field Values

    - #### RS

          public static final byte RS

      See Also:
        Constant Field Values

    - #### RN

          public static final byte RN

      See Also:
        Constant Field Values

    - #### RR

          public static final byte RR

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getLeft

          public final RegExp getLeft()

    - #### getRight

          public final RegExp getRight()

    - #### normalLeft

          public final RegExp normalLeft()

    - #### normalRight

          public final RegExp normalRight()

    - #### equals

          public final boolean equals(java.lang.Object other)

      Returns `true` iff the specified object is a `RegExpTwo` of same type and components as this one's.
      Overrides:
        `equals` in class `java.lang.Object`